Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class EventPropertyDescriptorImpl

    java.lang.Object
      com.sun.management.oss.impl.EventPropertyDescriptorImpl

All Implemented Interfaces:
  EventPropertyDescriptor, java.io.Serializable

Direct Known Subclasses:
  IRPEventPropertyDescriptorImpl

public class EventPropertyDescriptorImpl
extends java.lang.Object
implements EventPropertyDescriptor

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.EventPropertyDescriptor
`BOOLEAN, BYTE, DOUBLE, FLOAT, INT, LONG, OSS_APPLICATION_DN_PROP_NAME, OSS_APPLICATION_DN_PROP_TYPE, OSS_EVENT_TYPE_PROP_NAME, OSS_EVENT_TYPE_PROP_TYPE, SHORT, STRING`

Constructor Summary
`EventPropertyDescriptorImpl()`

Method Summary
`java.lang.String` | `getEventType()` Get the name of the event type associated with the descriptor.
`java.lang.String[]` | `getPropertyNames()` Get the names of the filterable properties associated with an Event.
`java.lang.String[]` | `getPropertyTypes()` Get the types for the filterable properties associated with an Event.
`Event` | `makeEvent()` Factory for Event associated with that Event Descriptor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventPropertyDescriptorImpl

    public EventPropertyDescriptorImpl()

Method Detail

### getEventType

    public java.lang.String getEventType()

  Description copied from interface: `EventPropertyDescriptor`
  Get the name of the event type associated with the descriptor.

  Specified by:
    `getEventType` in interface `EventPropertyDescriptor`
  Returns:
    the class name of the Event interface associated with this Event descriptor.

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Description copied from interface: `EventPropertyDescriptor`
  Get the names of the filterable properties associated with an Event.

  Specified by:
    `getPropertyNames` in interface `EventPropertyDescriptor`
  Returns:
    String array of XXX_PROP_NAME's

### getPropertyTypes

    public java.lang.String[] getPropertyTypes()

  Description copied from interface: `EventPropertyDescriptor`
  Get the types for the filterable properties associated with an Event.

  Specified by:
    `getPropertyTypes` in interface `EventPropertyDescriptor`
  Returns:
    String array of XXX_PROP_TYPE's

### makeEvent

    public Event makeEvent()

  Description copied from interface: `EventPropertyDescriptor`
  Factory for Event associated with that Event Descriptor.

  Specified by:
    `makeEvent` in interface `EventPropertyDescriptor`
  Returns:
    an implementation of the Event interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD